# -*- coding: utf-8 -*-
# vim: ft=yaml
---
# For help on this file's format, see https://kitchen.ci/
driver:
  name: docker
  use_sudo: false
  privileged: true
  run_command: /usr/lib/systemd/systemd

provisioner:
  name: salt_solo
  log_level: debug
  salt_install: none
  require_chef: false
  formula: timesyncd
  salt_copy_filter:
    - .kitchen
    - .git

platforms:
  ## SALT `master`
  - name: debian-11-master-py3
    driver:
      image: saltimages/salt-master-py3:debian-11
      run_command: /lib/systemd/systemd
  - name: debian-10-master-py3
    driver:
      image: saltimages/salt-master-py3:debian-10
      run_command: /lib/systemd/systemd
  - name: debian-9-master-py3
    driver:
      image: saltimages/salt-master-py3:debian-9
      run_command: /lib/systemd/systemd
  - name: ubuntu-2204-master-py3
    driver:
      image: saltimages/salt-master-py3:ubuntu-22.04
      run_command: /lib/systemd/systemd
  - name: ubuntu-2004-master-py3
    driver:
      image: saltimages/salt-master-py3:ubuntu-20.04
      run_command: /lib/systemd/systemd
  - name: ubuntu-1804-master-py3
    driver:
      image: saltimages/salt-master-py3:ubuntu-18.04
      run_command: /lib/systemd/systemd
  - name: fedora-36-master-py3
    driver:
      image: saltimages/salt-master-py3:fedora-36
  - name: fedora-35-master-py3
    driver:
      image: saltimages/salt-master-py3:fedora-35
  - name: arch-base-latest-master-py3
    driver:
      image: saltimages/salt-master-py3:arch-base-latest

  ## SALT `3004.1`
  - name: debian-11-3004-1-py3
    driver:
      image: saltimages/salt-3004.1-py3:debian-11
      run_command: /lib/systemd/systemd
  - name: debian-10-3004-1-py3
    driver:
      image: saltimages/salt-3004.1-py3:debian-10
      run_command: /lib/systemd/systemd
  - name: debian-9-3004-1-py3
    driver:
      image: saltimages/salt-3004.1-py3:debian-9
      run_command: /lib/systemd/systemd
  - name: ubuntu-2204-3004-1-py3
    driver:
      image: saltimages/salt-3004.1-py3:ubuntu-22.04
      run_command: /lib/systemd/systemd
  - name: ubuntu-2004-3004-1-py3
    driver:
      image: saltimages/salt-3004.1-py3:ubuntu-20.04
      run_command: /lib/systemd/systemd
  - name: ubuntu-1804-3004-1-py3
    driver:
      image: saltimages/salt-3004.1-py3:ubuntu-18.04
      run_command: /lib/systemd/systemd
  - name: fedora-36-3004-1-py3
    driver:
      image: saltimages/salt-3004.1-py3:fedora-36
  - name: fedora-35-3004-1-py3
    driver:
      image: saltimages/salt-3004.1-py3:fedora-35
  - name: arch-base-latest-3004-1-py3
    driver:
      image: saltimages/salt-3004.1-py3:arch-base-latest

  ## SALT `3003.4`
  - name: debian-10-3003-4-py3
    driver:
      image: saltimages/salt-3003.4-py3:debian-10
      run_command: /lib/systemd/systemd
  - name: debian-9-3003-4-py3
    driver:
      image: saltimages/salt-3003.4-py3:debian-9
      run_command: /lib/systemd/systemd
  - name: ubuntu-2004-3003-4-py3
    driver:
      image: saltimages/salt-3003.4-py3:ubuntu-20.04
      run_command: /lib/systemd/systemd
  - name: ubuntu-1804-3003-4-py3
    driver:
      image: saltimages/salt-3003.4-py3:ubuntu-18.04
      run_command: /lib/systemd/systemd

verifier:
  # https://www.inspec.io/
  name: inspec
  sudo: true
  reporter:
    # cli, documentation, html, progress, json, json-min, json-rspec, junit
    - cli

suites:
  - name: default
    provisioner:
      state_top:
        base:
          '*':
            - timesyncd._mapdata
            - timesyncd
      pillars:
        top.sls:
          base:
            '*':
              - timesyncd
      pillars_from_files:
        timesyncd.sls: pillar.example
    verifier:
      inspec_tests:
        - path: test/integration/default
